

#include "soe.H"
#include <iostream>


using namespace std;
using namespace mhp;


int main(int argc, char *argv[]) {
	if (argc < 3) {
		cerr << "Syntax: " << argv[0] << " ethernet_device_name other_end_mac" << endl;
		return 1;
	}
	unsigned int aux[ETH_ALEN];
	unsigned char otherSideMAC[ETH_ALEN];
	sscanf(argv[2], "%x:%x:%x:%x:%x:%x", &aux[0], &aux[1], &aux[2], &aux[3], &aux[4], &aux[5]);
	for (int i = 0; i < ETH_ALEN; i++)
		otherSideMAC[i] = (unsigned char) aux[i];
	TSoe soe(argv[1], otherSideMAC);
	soe.mainLoop();
}
