

#include "sinc.H"
#include "eth_raw.H"
#include "eth_raw_listener.H"

#include <iostream>


using namespace std;
using namespace mhp;


class TMyEthRawListener : public TEthRawListener {
	public:
		void ethRawPacketReceived(void *data, int size) {
			cout << "DATA RECEIVED: '" << ((char *) data) << "'" << endl;
		}

		void ethRawPacketSent(void *data) {
		}
};


int main() {
	TSinc sinc;
	sinc.setSec(1);
	TMyEthRawListener myListener;
	TEthRaw ethRaw(sinc, "eth", &myListener, NULL);
	ethRaw.connect();
	while (1) {
		sinc.wait();
		while (ethRaw.run() > 0)
			;
	}
}
