

#include "sinc.H"
#include "pty.H"
#include "pty_listener.H"
/*
#include <unistd.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <fcntl.h>
*/

#include <iostream>


using namespace std;
using namespace mhp;


class TMyPtyListener : public TPtyListener {
	public:
		void ptyDataReceived(void *data, int size) {
			// cout << "DATA RECEIVED: '" << ((char *) data) << "'" << endl;
		}

		void ptyDataSent(void *data) {
		}
};


int main() {
	TSinc sinc;
	sinc.setSec(1);
	TMyPtyListener myListener;
	TPty pty(sinc, &myListener);
	pty.open();
	cout << "pts = '" << pty.getSlaveName() << "' (MTU=" << PTY_BUFFER_SIZE << ")" << endl;
	while (true) {
		cerr << "." << flush;
		sinc.wait();
		while (pty.run() != 0)
			;
	}
	/*
	pid_t childPid = fork();
	if (childPid == 0) {
		// child
		cout << "[CHILD " << pty.getSlaveName() << "]" << flush;
		int fd = open(pty.getSlaveName().c_str(), O_RDWR);
		sleep(10);
		write(fd, "Hola, caracola", 15);
		fsync(fd);
		cout << "[CHILD OK]" << flush;
		sleep(10);
		close(fd);
		return 0;
	}
	else {
		// parent
		cout << "[PARENT]" << flush;
		while (true) {
			cerr << "." << flush;
			sinc.wait();
			while (pty.run() != 0)
				;
		}
	}
	*/
}
